#!/bin/sh

if [ ! -f Toradora.iso ]; then
	echo "Toradora.iso was not found."
	exit
fi

if ! type "xdelta3" > /dev/null 2>&1; then
	echo "Cannot find Xdelta3. Xdelta3 is required to patch the game."
	echo "You should install it from your OS distribution repository."
	echo ""
	echo "(for example, on Debian or Ubuntu execute \`sudo apt-get install xdelta3\`)"
fi

echo "Patching the game, it will take some time..."

xdelta3 -f -d -s Toradora.iso toradora110.patch "Toradora[EN][1.10].iso"

read -p "Done. Press any key to continue."
